<%--
/*-------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//* It is furnished by IBM as a simple example and has not been
//* thoroughly tested under all conditions.  IBM, therefore, cannot guarantee its
//* reliability, serviceability or functionality.
//*---------------------------------------------------------------------
--%>
<%@ page import="com.ibm.ws.cache.ServerCache" %>
<%@ page import="java.util.Set" %>
<%@ page contentType="text/html;charset=UTF-8"%>

<%
Set <Object> objset = ServerCache.getCacheInstances().keySet();
String[] instances = objset.toArray(new String[objset.size()]);
java.util.Arrays.sort(instances);
%>

<html>
<script type=text/javascript>
function clearCacheSelect(){
  if ( document.getElementById("clearcache").checked ){
    document.getElementById("dependencyId").value    = "clearall";
    document.getElementById("dependencyId").readOnly = true;
  } else{
    document.getElementById("dependencyId").value    = "";
    document.getElementById("dependencyId").readOnly = false;
  }
}
</script>
<style>
input[type=text]:read-only {
  color: #787878;
}
input[type=text]:-moz-read-only {
  color: #787878;
}
</style>
<body>
  <h1>Invalidation by Dependency Id</h1>
  <p>Select a cache instance and enter an invalidation id:</p>
  <form action="depid_invalidate.jsp" method="GET">
    <table>
      <tr>
        <td>Instance:</td>
        <td>
          <select name="instance">
            <%
              for ( String instance : instances ) {
                out.println( "<option value=\"" + instance + "\"" + ("baseCache".equals(instance) ? " selected=\"selected\" " : " "  ) + ">" + instance + "</option>" );
              }
            %>
          </select>
        </td>
      </tr>
      <tr>
        <td>Dependency Id:</td>
        <td>
        <input type="text" id="dependencyId" name="dependencyId" size="50" value="" required><br>
        <td>
      </tr>
      <tr>
        <td>
          Issue Full Cache Clear?
        </td>
        <td>
        <input type="checkbox" id="clearcache" unchecked onclick="clearCacheSelect()">
        <td>
      </tr>
    <table>
    <input type="submit" value="Submit">
  </form>
</body>
</html>



